de.caff.util.settings.swing

## Class EditablePreferenceGroup

- java.lang.Object
- - de.caff.util.settings.swing.EditablePropertyGroup<EditablePreferenceProperty>
  - - de.caff.util.settings.swing.EditablePreferenceGroup

- All Implemented Interfaces:
    ChangeableItem, PreferenceProperty, EditablePreferenceProperty, EditableProperty
  Direct Known Subclasses:
    SwingHttpProxyPropertySettings

      public class EditablePreferenceGroup
      extends EditablePropertyGroup<EditablePreferenceProperty>
      implements EditablePreferenceProperty

  A group of editable preference properties.
  Author:
    Rammi

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `TABBED_SUFFIX` The suffix for the tab index preference property.

    - ### Fields inherited from class de.caff.util.settings.swing.EditablePropertyGroup

      `nameTag, propertyList, tabbed`

    - ### Fields inherited from interface de.caff.util.settings.PreferenceProperty

      `PROPERTY_VALUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EditablePreferenceGroup(java.lang.String nameTag, boolean tabbed)` Create a preference group.
    `EditablePreferenceGroup(java.lang.String nameTag, boolean tabbed, EditablePreferenceProperty... properties)` Create a preference group.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `readFrom(java.util.prefs.Preferences preferences)` Read the property value from the preferences.
    `void` | `storeTo(java.util.prefs.Preferences preferences)` Store the current property value in the preferences.

    - ### Methods inherited from class de.caff.util.settings.swing.EditablePropertyGroup

      `addProperty, addValueChangeListener, addValueChangeListenerWeakly, getEditorProvider, getName, getNameTag, getTabIndex, propertyIterator, removeValueChangeListener, removeValueChangeListenerWeakly, setTabIndex`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface de.caff.util.settings.swing.EditableProperty

      `getEditorProvider, getName`

    - ### Methods inherited from interface de.caff.util.settings.ChangeableItem

      `addValueChangeListener, addValueChangeListenerWeakly, removeValueChangeListener, removeValueChangeListenerWeakly`

- - ### Field Detail

    - #### TABBED_SUFFIX

          public static final java.lang.String TABBED_SUFFIX

      The suffix for the tab index preference property.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EditablePreferenceGroup

          public EditablePreferenceGroup(@NotNull
                                         java.lang.String nameTag,
                                         boolean tabbed)

      Create a preference group.
      Parameters:
        `nameTag` - the name tag
        `tabbed` - are there tabs to create for each added property?

    - #### EditablePreferenceGroup

          public EditablePreferenceGroup(@NotNull
                                         java.lang.String nameTag,
                                         boolean tabbed,
                                         EditablePreferenceProperty... properties)

      Create a preference group.
      Parameters:
        `nameTag` - the name tag
        `tabbed` - are there tabs to create for each added property?
        `properties` - preferences to collect in this group

  - ### Method Detail

    - #### readFrom

          public void readFrom(@NotNull
                               java.util.prefs.Preferences preferences)

      Read the property value from the preferences.
      Specified by:
        `readFrom` in interface `PreferenceProperty`
      Parameters:
        `preferences` - preferences from where to read the property value

    - #### storeTo

          public void storeTo(@NotNull
                              java.util.prefs.Preferences preferences)

      Store the current property value in the preferences.
      Specified by:
        `storeTo` in interface `PreferenceProperty`
      Parameters:
        `preferences` - preferences where to store the property value